/* slurp-download-resource.h
 *
 * Copyright © 2017 Julian Richen <julian@richen.io>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SLURP_RESOURCE_H
#define SLURP_RESOURCE_H

#include <glib-object.h>
#include <glib.h>
#include <gio/gio.h>

G_BEGIN_DECLS

#define SLURP_TYPE_RESOURCE (slurp_resource_get_type())

G_DECLARE_FINAL_TYPE (SlurpResource, slurp_resource, SLURP, RESOURCE, GObject)

struct _SlurpResource
{
    GObject parent_instance;
};

SlurpResource *
slurp_resource_new (void);

gboolean
slurp_resource_is_valid (SlurpResource  *self,
                         GCancellable   *cancellable,
                         GError        **error);

G_END_DECLS

#endif /* SLURP_RESOURCE_H */

